using NUnit.Framework;
using Ticketing.Web.Models;

namespace Ticketing.Tests
{
    [TestFixture]
    public class TicketTests
    {
        [Test]
        public void a_ticket_has_a_title_and_a_description()
        {
            var ticket = new Ticket {Title = "t", Description = "d"};
        }

        [Test]
        public void can_assign_a_ticket_to_a_user()
        {
            var user = new User();           

            var t = new Ticket();
            t.AssignTo(user);

            Assert.That(t.AssignedTo, Is.EqualTo(user));
        }
    }
}
